#!/bin/bash

# pe request
#$ -pe mpich 64

# our Job name 
#$ -N Pelegant

#$ -S /bin/bash

#$ -q dque_ib

#$ -V

#$ -cwd

# needs in 
#   $NSLOTS          
#       the number of tasks to be used
#   $TMPDIR/machines 
#       a valid machiche file to be passed to mpirun 
#   enables $TMPDIR/rsh to catch rsh calls if available

source ~/.bashrc
echo "Got $NSLOTS slots."
cat $TMPDIR/machines



#######################################################
### mpich2 1.9a2 (w/ Intel-13.1 compiler)
#######################################################
#
# MPI_HOME=/opt/mpi/intel-13.1/mvapich2-1.9a2
# MPI_EXEC=$MPI_HOME/bin/mpirun

# cd $SGE_O_WORKDIR

# $MPI_EXEC -machinefile $TMPDIR/machines -n $NSLOTS $SGE_O_WORKDIR/exec_file



#######################################################
### openmpi 1.6.4 (w/ Intel-13.3 compiler)
#######################################################
#
 MPI_HOME=/opt/mpi/gcc-4.4/openmpi-1.6.4
 MPI_EXEC=$MPI_HOME/bin/mpirun
#
 cd $SGE_O_WORKDIR
#

 filename=FlatbeamInjection
 latticename=flatbeam.lte
 turnStart=15
 turnEnd=100
 passes=102

 $MPI_EXEC -machinefile $TMPDIR/machines -n $NSLOTS Pelegant $filename.ele -macro=rootname=$filename -macro=latticename=$latticename -macro=passes=$passes -macro=nparticle=6400 -macro=turnStart=$turnStart -macro=turnEnd=$turnEnd -macro=random_seed=960 > $filename.log
